Bug 396301 - pvdisplay gets pv size grossly wrong on >1Tb volumes.
pvdisplay gets pv size grossly wrong on >1Tb volumes.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
rawhide
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Alasdair Kergon
Corey Marthaler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-22 23:48 EST by Robin H. Johnson
Modified: 2007-11-30 17:12 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-23 05:17:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robin H. Johnson 2007-11-22 23:48:00 EST
root@grubbs-int:/ # pvs --version
  LVM version:     2.02.28 (2007-08-24)
  Library version: 1.02.22 (2007-08-21)
  Driver version:  4.12.0
root@grubbs-int:/ # pvs
  PV         VG    Fmt  Attr PSize   PFree  
  /dev/md2   vgext lvm2 a-     1.16T 272.35G
  /dev/sdj2  vg    lvm2 a-   465.51G 317.51G
root@grubbs-int:/ # pvdisplay 
  --- Physical volume ---
  PV Name               /dev/sdj2
  VG Name               vg
  PV Size               465.51 GB / not usable 2.52 MB
  Allocatable           yes 
  PE Size (KByte)       4096
  Total PE              119171
  Free PE               81283
  Allocated PE          37888
  PV UUID               oegMnQ-WgMi-BakB-9Gzc-OyIm-T1AT-Ad7PNo
   
  --- Physical volume ---
  PV Name               /dev/md2
  VG Name               vgext
  PV Size               4096.00 EB / not usable 4096.00 EB
  Allocatable           yes 
  PE Size (KByte)       4096
  Total PE              305242
  Free PE               69722
  Allocated PE          235520
  PV UUID               a3l3te-5S2d-FfpZ-h1EQ-Vvma-8kMM-isDRZa

Notice the 'PV Size' on vgext, claiming to be 4k exabytes.
Comment 1 Alasdair Kergon 2007-11-23 05:17:11 EST
Use 'pvs' instead for this data.

Fixed upstream recently and so will be fed into next release automatically.

Note You need to log in before you can comment on or make changes to this bug.